import java.io.*;

public class Constants{
	static BufferedReader in;
	
	public static int redx=190;
	public static int redy=65;
	public static int redvx=125;
	public static int redvy=115;
	public static int bluex=465;
	public static int bluey=242;
	public static int bluevx=120;
	public static int bluevy=107;
	public static int height=480;
	public static int width=640;
	public static int redRadius=55;
	public static int blueRadius=45;
	public static int sboxHeight=120;
	public static int sboxWidth=200;
	public static int sboxX=250;
	public static int sboxY=250;
	
	private static int rValues[];
	public static void readIt(){
		try{
			in=new BufferedReader(new InputStreamReader(new FileInputStream("bouncy.ini")));
			String got="";
			int start=0,end=0,keylen=0;
			
			//----------------------the expected format of the ini file---------------
			
			final String[] format={
				"settings",	"red",	"initial",
				"x",		"y",	"vx",	"vy",
				"/initial",	"radius",
				"/red",		"blue",	"initial",
				"x",		"y",	"vx",	"vy",
				"/initial",	"radius",
				"/blue",
				"staticBox",	"x",	"y",	"width",	"height",
				"/staticBox",
				"global","window_height",
				"window_width",	"/global",	"/settings"
			};
			
			final boolean[] isKey={
				false,	false,	false,
				true,	true,	true,	true,
				false,	true,
				false,	false,	false,
				true,	true,	true,	true,
				false,	true,
				false,	
				false,	true,	true,	true,	true,
				false,
				false,	true,
				true,	false,	false
			};
			
			final int lines=format.length;
				
			//--------------------------start parsing the file-------------------------
			
			rValues=new int[lines];//number this with the line number for ease of computation.(RAM is not a problem presently)
			
			for(int i=0;i<lines;i++){
				if(isKey[i]){
					got=in.readLine().trim();
					
					//----- I JUST REALISED THAT CODE BELOW THIS TILL THE NEXT COMMENT -----
					start=got.indexOf("<"+format[i]+">");
					if(start<0)
						throw new IOException("expected a key <"+format[i]+"> at line "+(i+1)+",\r\n"+
									"but got "+got+" instead.");
					keylen=format[i].length()+2;
					start=start+keylen;
					//----- IS UNECESSARY, STILL LET IT REMAIN-----------------------------
					
					end=got.indexOf("</"+format[i]+">");
					if(end<start)
						throw new IOException("expected a key </"+format[i]+"> at line "+(i+1)+",\r\n"+
									"but got "+got+" instead.");
					
					got=got.substring(start,end);
					try{
						rValues[i]=Integer.parseInt(got);
					}
					catch(NumberFormatException nfe){
						throw new IOException("expected an integer value for "+format[i]+" at line "+(i+1)+
								"but got "+got +" instead.");
					}
					
				}
				else{
					got=in.readLine().trim();
					if(!got.equals("<"+format[i]+">")){
						throw new IOException("expected the token <"+format[i]+"> at line "+(i+1)+",\r\n  "+
									"but got "+got+" instead.");
					}
				}
			}
				
			
		copyValues();
		}
		catch(IOException e){
			System.out.println("Could not parse or find ini file: using defaults.");
			System.out.println(e.getMessage());
		}
		finally{try{in.close();}catch(Exception exc){}}
		
	}
	
	private static void copyValues(){
		//use <line number> - 1 for array index.
		redx=rValues[3];
		redy=rValues[4];
		redvx=rValues[5];
		redvy=rValues[6];
		redRadius=rValues[8];
		bluex=rValues[12];
		bluey=rValues[13];
		bluevx=rValues[14];
		bluevy=rValues[15];
		blueRadius=rValues[17];
		sboxX=rValues[20];
		sboxY=rValues[21];
		sboxWidth=rValues[22];
		sboxHeight=rValues[23];
		height=rValues[26];
		width=rValues[27];
		System.out.println("Loaded Values.");
	}
	
	public static void main(String args[]){
		readIt();
		System.out.println(redvy);
	}
	
	

}